import { HttpResponse } from 'src/packages/fastify-send-data'
import { Session } from 'src/modules/auth/models'
import { constants } from 'http2'
import { HttpError } from 'src/packages/fastify-compliant-http-errors'

export class LoggedInData extends HttpResponse<Session>(constants.HTTP_STATUS_OK, 'Logged In') {
}

export class LoggedOutData extends HttpResponse(constants.HTTP_STATUS_NO_CONTENT, 'Logged Out') {
}

export class UnableToLogInError extends HttpError(constants.HTTP_STATUS_UNAUTHORIZED, 'Unable to Log In') {
}

export class UnableToLogOutError extends HttpError(constants.HTTP_STATUS_INTERNAL_SERVER_ERROR, 'Unable to Log Out') {
}
