import {Org} from '../org';
import {User} from '../user';

export enum RepoVisibility {
  PRIVATE = 'PRIVATE',
  INTERNAL = 'INTERNAL',
  PUBLIC = 'PUBLIC',
}

export type Owner = User | Org;

export enum RepoAction {
  REPO_CREATED = 'REPO_CREATED',
  REPO_REMOVED = 'REPO_REMOVED',
}

export enum RepoAvailableService {
  UPLOAD_PACK = 'git-upload-pack',
  RECEIVE_PACK = 'git-receive-pack',
}

export type Repo = {
  id: Buffer,
  name: string,
  ownerId: Buffer,
  ownerType: string,
  visibility: string,
}

export type CreateRepoData = Omit<Repo, 'id'>;
