import {ServerInstance} from '../../packages/fastify-utils-theoryofnekomata';
import {RepoController, RepoControllerImpl} from './Repo.controller';

export const addRoutes = (server: ServerInstance) => {
  const repoController: RepoController = new RepoControllerImpl()

  server.route({
    method: 'POST',
    url: '/api/repos',
    handler: repoController.createRepo,
  })

  server.route({
    method: 'DELETE',
    url: '/api/repos/:id',
    handler: repoController.deleteRepo,
  })

  server.route({
    method: 'GET',
    url: '/repos/:ownerType/:ownerName/:repoName/info/refs',
    handler: repoController.getRepoRefs,
  })

  server.route({
    method: 'POST',
    url: '/repos/:ownerType/:ownerName/:repoName/git-receive-pack',
    handler: repoController.receivePack,
  })
}
