import { constants } from 'http2'
import { HttpResponse } from 'src/packages/fastify-send-data'
import { Session } from 'src/modules/auth'
import {HttpError} from 'src/packages/fastify-compliant-http-errors';

export class UserRegisteredResponse extends HttpResponse<Session>(constants.HTTP_STATUS_OK, 'User Registered') {
}

export class UnableToRegisterUserError extends HttpError(
	constants.HTTP_STATUS_INTERNAL_SERVER_ERROR,
	'Unable to Register',
) {}

export class UserNotFoundError extends HttpError(constants.HTTP_STATUS_NOT_FOUND, 'User Not Found') {}
