import {ServerInstance} from './packages/fastify-utils-theoryofnekomata';
import * as auth from './modules/auth/routes';
import * as user from './modules/user/routes';
import * as repo from './modules/repo/routes';

export const addRoutes = (server: ServerInstance) => {
  auth.addRoutes(server);
  user.addRoutes(server);
  repo.addRoutes(server);

  server.get('/', async (request, reply) => {
    reply.send({
      routes: request.server.allStaticRoutes,
    });
  });
}
